Bug 70359 - New limbo installer doesn't seem work via pxelinux
New limbo installer doesn't seem work via pxelinux
Status: CLOSED CURRENTRELEASE
Product: Red Hat Public Beta
Classification: Retired
Component: syslinux (Show other bugs)
limbo
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Matt Wilson
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-07-31 15:38 EDT by Samuel Flory
Modified: 2007-04-18 12:45 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-08-07 18:33:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Samuel Flory 2002-07-31 15:38:51 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.5 (X11; Linux i686; U;) Gecko/0

Description of problem:
I'm using pxelinux from syslinux-1.75 to do network installs.  It worked fine
for the old limbo, and for 7.2/3.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.setup dhcp, and tftp to load pxelinux.0  (I can send my config files if need be.)
2.Copy vlminuz, and initrd from images/pxe/ to /tftpboot
3.Setup pxelinux config file
# Redhat Limbo beta 
label limbo
  kernel /vmlinuz.8.0 
  append initrd=initrd.img.8.0 lang= devfs=nomount ramdisk_size=9216

4.Attempt to start limbo installer

Actual Results:  Kernel appears to load, but after a few ".." it hangs.  The
system pxe installed the 1st beta fine.  It pxeboots dos, linux, 7.2, and 7.3
installers just fine.

Additional info:
pxelinux.cfg/default:
PROMPT 1
TIMEOUT 100
DISPLAY msg
default autoburn

# Linux nfs root RH (2.4.18-5-netboot4)
label linux
  kernel /vmlinuz-2.4.18-5-netboot4
  append root=/dev/nfs ip=::::::dhcp nfsroot=10.10.1.3:/vol0/nfs/root/initial co
nsole=ttyS0,9600 console=tty0 

## Autoburn
label autoburn
  kernel  /vmlinuz-2.4.18-5-netboot4 
append  root=/dev/nfs ip=::::::dhcp nfsroot=10.10.1.3:/vol0/nfs/root/initial con
sole=ttyS0,9600 console=tty0 acpismp=force itburns

# Redhat Limbo beta 
label limbo
  kernel /vmlinuz.8.0 
  append initrd=initrd.img.8.0 lang= devfs=nomount ramdisk_size=9216
 

# Redhat 7.3 fullauto /w burnin 
label 73fb
  kernel /vmlinuz.73 
append  initrd=initrd.img.73 lang= devfs=nomount ramdisk_size=8192 vga=788 ks=nf
s:10.10.1.3:/rh73/ks-burn.cfg 

dhcpd.conf:
#pxe grub stuff
#filename                        "/pxegrub";
option option-150               "/grub.cfg";

#nfsroot 
#option root-path                "/vol0/nfs/root/initial,v3";

#pxelinux stuff
filename                        "/pxelinux.0";

#next-server                    10.10.1.3;
#option routers 10.10.1.1;

#needed for other dhcpd server
#ddns-update-style  ad-hoc;
max-lease-time 86400;
default-lease-time 43200;

subnet 10.10.0.0 netmask 255.255.0.0 {
        range 10.10.2.1 10.10.5.254;
        option broadcast-address 10.10.255.255;
}
Comment 1 Samuel Flory 2002-08-01 17:31:59 EDT
A work around seem to be to use memdisk:

dd if=/dev/zero of=23040 count=23040
mkdosfs 23040
mount -o loop /limbo/images/bootnet.img m1/
mount -o loop 23040 m2
cp -a m1/* m2
cp /limbo/images/pxeboot/initrd-everything.img m2/initrd.img 
umount m1 m2
syslinux -s 23040

# Redhat Limbo beta
label limbo
    kernel memdisk
    append initrd=23040
  #kernel /vmlinuz.8.0
  #append initrd=initrd.img.8.0 lang= devfs=nomount ramdisk_size=9216
Comment 2 Samuel Flory 2002-08-01 17:36:42 EDT
  I'm not sure it's clear from my last.  I'm using memdisk in pxelinux.
Comment 3 Elliot Lee 2002-08-07 17:06:12 EDT
We ship PXE, not PXELinux. Please contact the author.
Comment 4 Samuel Flory 2002-08-07 18:30:10 EDT
  Actually you do ship pxelinux.
[root@flory sflory]# rpm -qf /usr/lib/syslinux/pxelinux.0
syslinux-1.72-1

  The pxe package you guys ship is very complex to setup, and lacks the feature
set of pxelinux.  Then again I'm okay with the memdisk work around.
Comment 5 Elliot Lee 2002-08-07 18:32:52 EDT
Eek, you are correct, sorry about that.
Comment 6 Samuel Flory 2002-08-22 13:39:08 EDT
  This works in null.

Note You need to log in before you can comment on or make changes to this bug.